#include "fullcentreform.h"

FullCentreForm::FullCentreForm(QWidget *parent) :
        AbstractForm(parent)
{
    mCAnnuaireTable = new CentreAnnuaireTableWidget;
    mCPatientTable = new CentrePatientTableWidget;
    mTabWidget = new QTabWidget;
    mCentreForm = new CentreForm;

    mTabWidget->addTab(mCentreForm,"information");
    mTabWidget->addTab(mCPatientTable,"patient");
    mTabWidget->addTab(mCAnnuaireTable,"annuaire");



    setMainWidget(mTabWidget);

}
void FullCentreForm::setupUi()
{

}

void FullCentreForm::save()
{
mCentreForm->save();
}

void FullCentreForm::load(QSqlRecord record)
{
    mCentreForm->load(record);
    mCPatientTable->loadFromCentre(record.value("id").toInt());
    mCAnnuaireTable->loadFromCentre(record.value("id").toInt());


}
