#include "centreannuairetablewidget.h"
#include "form/annuaireform.h"
#include "form/centreannuaireform.h"
CentreAnnuaireTableWidget::CentreAnnuaireTableWidget(QWidget *parent) :
    AbstractTableWidget(parent)
{

    mCentreId = -1;



}
void CentreAnnuaireTableWidget::loadFromCentre(int centreId)
{
    mCentreId = centreId;
    QSqlQueryModel * model = new QSqlQueryModel;
    model->setQuery(
            "select ac.id, a.nom, a.prenom from annuaires a, centres c, annuaires_centres ac WHERE "
                       "ac.centre_id = c.id AND ac.annuaire_id = a.id  AND c.id ="+QString::number(centreId));


 setModel(model);
}

void CentreAnnuaireTableWidget::addRecord()
{
    CentreAnnuaireForm * form =new CentreAnnuaireForm;
    FormDialog * dialog = new FormDialog(form);

    dialog->exec();
    refresh();
}

void CentreAnnuaireTableWidget::editRecord()
{
    CentreAnnuaireForm * form =new CentreAnnuaireForm;
    FormDialog * dialog = new FormDialog(form);
    SqlHelper sql("annuaires_centres",this);
    form->load(sql.record(firstRecordSelected().value("id").toInt()));
    dialog->exec();
    refresh();
}
void CentreAnnuaireTableWidget::deleteRecord()
{

//    SqlHelper sql("annuaires",this);
//    foreach ( QSqlRecord record, recordsSelected())
//        sql.deleteRecord(record.value("id").toInt());
//    refresh();

}
