#include "abstractform.h"
#include <QVBoxLayout>
#include <QIcon>
AbstractForm::AbstractForm(QWidget *parent):
        QWidget(parent)
{

    mTitleLabel = new QLabel("title");
    mIconLabel = new QLabel;
    mWidgetLayout = new QVBoxLayout;
    QVBoxLayout * mainLayout = new QVBoxLayout;
    QHBoxLayout * hLayout = new QHBoxLayout;
    hLayout->addWidget(mIconLabel);
    hLayout->addWidget(mTitleLabel);

    mainLayout->addLayout(hLayout);
    mainLayout->addLayout(mWidgetLayout);
    mainLayout->setAlignment(hLayout,Qt::AlignTop);
    setLayout(mainLayout);


}
void AbstractForm::setMainWidget(QWidget *widget)
{
    if( mWidgetLayout->count()>0)
    mWidgetLayout->takeAt(0);

    mWidgetLayout->addWidget(widget);
}

void AbstractForm::setTitle(const QString& title)
{
    mTitleLabel->setText(title);
}

void AbstractForm::setIcon(const QIcon& icon)
{

    QPixmap pix = icon.pixmap(32,32);
    mIconLabel->setPixmap(pix);
}

